Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225968 - Merge Review: kdewebdev
Summary: Merge Review: kdewebdev
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:15 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-07 19:11:42 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:15:49 UTC
Fedora Merge Review: kdewebdev

http://cvs.fedora.redhat.com/viewcvs/devel/kdewebdev/
Initial Owner: than@redhat.com

Comment 1 Rex Dieter 2007-03-08 15:37:16 UTC
$ rpmlint kdewebdev-3.5.6-1.fc7.i386.rpm
W: kdewebdev summary-ended-with-dot WEB Development package for the K Desktop
Environment.
E: kdewebdev description-line-too-long The kdewebdev package contains Quanta
Plus and other applications, which are useful
E: kdewebdev obsolete-not-provided WebMaker
E: kdewebdev obsolete-not-provided quanta
W: kdewebdev dangling-relative-symlink /usr/share/doc/HTML/en/xsldbg/common
../common
W: kdewebdev hidden-file-or-dir /usr/share/apps/quanta/templates/pages/.dirinfo
E: kdewebdev script-without-shellbang /usr/lib/libkommanderwidget.la
W: kdewebdev dangling-relative-symlink /usr/share/doc/HTML/en/kxsldbg/common
../common
E: kdewebdev script-without-shellbang /usr/lib/kde3/libkimagemapeditor.la
E: kdewebdev non-executable-script /usr/share/apps/quanta/scripts/dwt.pl 0644
W: kdewebdev hidden-file-or-dir /usr/share/apps/quanta/templates/text/.dirinfo
W: kdewebdev dangling-relative-symlink
/usr/share/doc/HTML/en/kfilereplace/common ../common
E: kdewebdev script-without-shellbang /usr/lib/kde3/libkxsldbgpart.la
W: kdewebdev dangling-relative-symlink /usr/share/doc/HTML/en/quanta/common
../common
E: kdewebdev script-without-shellbang /usr/lib/kde3/quantadebuggergubed.la
E: kdewebdev non-executable-script
/usr/share/apps/quanta/scripts/externalpreview.sh 0644
W: kdewebdev dangling-relative-symlink /usr/share/doc/HTML/en/kommander/common
../common
E: kdewebdev script-without-shellbang /usr/lib/kde3/libklinkstatuspart.la
W: kdewebdev hidden-file-or-dir /usr/share/apps/quanta/templates/binaries/.dirinfo
W: kdewebdev hidden-file-or-dir /usr/share/apps/quanta/templates/scripts/.dirinfo
W: kdewebdev hidden-file-or-dir /usr/share/apps/quanta/templates/documents/.dirinfo
E: kdewebdev script-without-shellbang /usr/lib/libkommanderwidgets.la
E: kdewebdev non-executable-script
/usr/share/apps/quanta/scripts/TemplateMagic.pl 0644
W: kdewebdev hidden-file-or-dir /usr/share/apps/quanta/doc/javascript/.pics
W: kdewebdev hidden-file-or-dir /usr/share/apps/quanta/doc/javascript/.pics
W: kdewebdev dangling-relative-symlink /usr/share/doc/HTML/en/klinkstatus/common
../common
E: kdewebdev script-without-shellbang /usr/lib/libkommanderplugin.la
E: kdewebdev script-without-shellbang /usr/lib/kde3/quantadebuggerdbgp.la
E: kdewebdev script-without-shellbang /usr/lib/kde3/libkfilereplacepart.la
W: kdewebdev hidden-file-or-dir /usr/share/apps/quanta/templates/images/.dirinfo

1.  SHOULD drop '.' from Summary
2.  SHOULD shorten line-length in %description

Comment 2 Rex Dieter 2007-03-08 15:47:48 UTC
3. MUST
-Requires: kdelibs-devel >= 1:%{qt_version}
+Requires: kdelibs-devel

4. MUST: add to %files
%doc COPYING COPYING-DOCS

5. SHOULD consider dropping ancient/deprecated (and unversioned, btw):
Obsoletes: WebMaker
Obsoletes: quanta
...
Obsoletes: quanta-devel
If you still want to keep any of these, they ought to be versioned (and
appropriate Provides: considered as well)

6.  SHOULD drop configure option:
--with-qt-libraries=$QTDIR/lib
shouldn't be needed.

7.  SHOULD consider adding runtime dep (for quanta):
Requires: tidy


Address MUST items, and I'll APPROVE this.

Comment 3 Rex Dieter 2007-03-13 20:30:50 UTC
MUST items are minor, I'll trust you to make these mods post-review, APPROVED.


Note You need to log in before you can comment on or make changes to this bug.